Videos
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 62085,
"results": [
{
"id": "66c53c8f1742a4e306713a93",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "NIFuNtReMrA",
"name": "Walt's First Day As A Cook Goes Wrong - Pilot",
"official": true,
"published_at": "2024-08-20T15:30:04.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63f591b425b95500dd93f5a9",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "yz0qzMEPFhw",
"name": "Breaking Bad Title Reference - Pilot",
"official": true,
"published_at": "2023-02-21T16:00:40.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63efd4f0a24c5000d4e2c30d",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "40tX4s5Ecwc",
"name": "\"Cooking Is Art\" - Pilot",
"official": true,
"published_at": "2023-02-17T16:00:05.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63ec02a1699fb700cee10882",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "84sBclbvp98",
"name": "Walter's Proposition To Jesse - Pilot",
"official": true,
"published_at": "2023-02-14T16:00:03.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63eae5ec1b7294007c4938e0",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "MX7bG7CjCZk",
"name": "The Cancer Diagnosis - Pilot",
"official": true,
"published_at": "2023-02-11T16:00:13.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63eae5e6813cb60096a9a6f0",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "ZD4pm-4_wzs",
"name": "Jesse Falls Off The Roof - Pilot",
"official": true,
"published_at": "2023-02-10T17:15:02.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63dd6440e55937009ffda8a6",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "mgYpJ-2slg0",
"name": "Hank's Drug Bust - Pilot",
"official": true,
"published_at": "2023-02-03T18:45:19.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63d97702a6c10400d4ca2f93",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "NDPad7BIQpU",
"name": "Walter White's First Chemistry Lesson - Pilot",
"official": true,
"published_at": "2023-01-31T18:06:08.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "65ff7a9262f335017d51e0bd",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "U_T4gRlPkd4",
"name": "Walt Thinks He and Jesse Are Caught - Pilot",
"official": true,
"published_at": "2018-01-25T19:14:34.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "65ff7a63b84cdd0164f4b4c1",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "VotBYq50Prc",
"name": "Pilot (Recap)",
"official": true,
"published_at": "2018-01-21T19:24:45.000Z",
"site": "YouTube",
"size": 1080,
"type": "Recap"
},
{
"id": "65ff7a5360620a017c2be1e2",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "NbxK5MvNH8c",
"name": "Walt and Jesse Decide To Buy an RV - Pilot",
"official": true,
"published_at": "2018-01-19T18:00:39.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "65ff7a447f6c8d017c715d9a",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "kqo1WScQqUw",
"name": "Walt Stands Up For His Son - Pilot",
"official": true,
"published_at": "2018-01-17T22:22:05.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "65ff7a37770700017c0d1e87",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "yAAphfWE3Vs",
"name": "And So It Begins (Teaser) - Pilot",
"official": true,
"published_at": "2018-01-17T02:32:29.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "65ff79e50c1255017e0efaa8",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "yE9UXdJEnss",
"name": "Walt and Jesse Escape in the RV - Pilot",
"official": true,
"published_at": "2018-01-17T02:32:00.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
}
]
}TV EPISODES
Videos
This endpoint get the videos that belong to a TV episode.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
/
episode
/
{episode_number}
/
videos
Videos
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
This refers to the numerical identifier assigned to a specific season of a TV series.
Example:
""
This refers to a unique identifier assigned to a television series within the database.
Example:
""
This refers to the unique number assigned to a specific episode within a season of a television series.
Example:
""
Query Parameters
Filters returned videos based on specified languages. Filter the list results by language, supports more than one value by using a comma.
Specifies the language in which the response should be returned.
Example:
"en-US"
Response
200 - application/json
videos
Example:
62085
Show child attributes
Show child attributes
Example:
[
{
"id": "66c53c8f1742a4e306713a93",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "NIFuNtReMrA",
"name": "Walt's First Day As A Cook Goes Wrong - Pilot",
"official": true,
"published_at": "2024-08-20T15:30:04.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63f591b425b95500dd93f5a9",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "yz0qzMEPFhw",
"name": "Breaking Bad Title Reference - Pilot",
"official": true,
"published_at": "2023-02-21T16:00:40.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63efd4f0a24c5000d4e2c30d",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "40tX4s5Ecwc",
"name": "\"Cooking Is Art\" - Pilot",
"official": true,
"published_at": "2023-02-17T16:00:05.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63ec02a1699fb700cee10882",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "84sBclbvp98",
"name": "Walter's Proposition To Jesse - Pilot",
"official": true,
"published_at": "2023-02-14T16:00:03.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63eae5ec1b7294007c4938e0",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "MX7bG7CjCZk",
"name": "The Cancer Diagnosis - Pilot",
"official": true,
"published_at": "2023-02-11T16:00:13.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63eae5e6813cb60096a9a6f0",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "ZD4pm-4_wzs",
"name": "Jesse Falls Off The Roof - Pilot",
"official": true,
"published_at": "2023-02-10T17:15:02.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63dd6440e55937009ffda8a6",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "mgYpJ-2slg0",
"name": "Hank's Drug Bust - Pilot",
"official": true,
"published_at": "2023-02-03T18:45:19.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "63d97702a6c10400d4ca2f93",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "NDPad7BIQpU",
"name": "Walter White's First Chemistry Lesson - Pilot",
"official": true,
"published_at": "2023-01-31T18:06:08.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "65ff7a9262f335017d51e0bd",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "U_T4gRlPkd4",
"name": "Walt Thinks He and Jesse Are Caught - Pilot",
"official": true,
"published_at": "2018-01-25T19:14:34.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "65ff7a63b84cdd0164f4b4c1",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "VotBYq50Prc",
"name": "Pilot (Recap)",
"official": true,
"published_at": "2018-01-21T19:24:45.000Z",
"site": "YouTube",
"size": 1080,
"type": "Recap"
},
{
"id": "65ff7a5360620a017c2be1e2",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "NbxK5MvNH8c",
"name": "Walt and Jesse Decide To Buy an RV - Pilot",
"official": true,
"published_at": "2018-01-19T18:00:39.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "65ff7a447f6c8d017c715d9a",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "kqo1WScQqUw",
"name": "Walt Stands Up For His Son - Pilot",
"official": true,
"published_at": "2018-01-17T22:22:05.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
},
{
"id": "65ff7a37770700017c0d1e87",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "yAAphfWE3Vs",
"name": "And So It Begins (Teaser) - Pilot",
"official": true,
"published_at": "2018-01-17T02:32:29.000Z",
"site": "YouTube",
"size": 1080,
"type": "Teaser"
},
{
"id": "65ff79e50c1255017e0efaa8",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "yE9UXdJEnss",
"name": "Walt and Jesse Escape in the RV - Pilot",
"official": true,
"published_at": "2018-01-17T02:32:00.000Z",
"site": "YouTube",
"size": 1080,
"type": "Clip"
}
]
⌘I